Permanently purge a soft-deleted document
DELETE
/api/v1/documents/{id}/purge
const url = 'https://api.yggy.tech/api/v1/documents/example/purge';const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://api.yggy.tech/api/v1/documents/example/purge \ --header 'Authorization: Bearer <token>'Permanently delete a soft-deleted document, its triples, and orphan entities. This action is irreversible.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string
Header Parameters
Section titled “Header Parameters ” host
string | null
x-yggy-organization-id
string | null
Responses
Section titled “ Responses ”Document purge enqueued
Media type application/json
object
success
required
boolean
workflowRunId
required
string | null
invocationId
required
string
Example generated
{ "success": true, "workflowRunId": "example", "invocationId": "example"}Document not found
Media type application/json
object
success
required
boolean
error
required
object
message
required
string
code
required
string
details
Example
{ "success": false, "error": { "code": "INTERNAL_ERROR" }}Document is not soft-deleted
Media type application/json
object
success
required
boolean
error
required
object
message
required
string
code
required
string
details
Example
{ "success": false, "error": { "code": "INTERNAL_ERROR" }}